summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/hebe/README5
-rw-r--r--system/hebe/doinst.sh10
-rw-r--r--system/hebe/hebe.SlackBuild85
-rw-r--r--system/hebe/hebe.info10
-rw-r--r--system/hebe/slack-desc19
5 files changed, 129 insertions, 0 deletions
diff --git a/system/hebe/README b/system/hebe/README
new file mode 100644
index 0000000000..7e9486cbb6
--- /dev/null
+++ b/system/hebe/README
@@ -0,0 +1,5 @@
+Hebe is a KDE front-end GUI for the Hercules z/Arch emulator. It was designed
+to have a modern look; there are no dials! Hebe provides two consoles, one for
+Hercules and one for the SCP (system control program), AKA, the operating
+system. Input is automatically routed to the correct receiver. You can start
+as many instances of Hercules as your hardware can support.
diff --git a/system/hebe/doinst.sh b/system/hebe/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/system/hebe/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/system/hebe/hebe.SlackBuild b/system/hebe/hebe.SlackBuild
new file mode 100644
index 0000000000..d5e813af5f
--- /dev/null
+++ b/system/hebe/hebe.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for hebe
+# KDE gui for Hercules
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# Revision date: 2010/06/27
+
+PRGNAM=hebe
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DHTML_INSTALL_DIR=/usr/doc/$PRGNAM-$VERSION/html \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Remove executable bit from documents
+chmod -x INSTALL README
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/hebe/hebe.info b/system/hebe/hebe.info
new file mode 100644
index 0000000000..2a657732cd
--- /dev/null
+++ b/system/hebe/hebe.info
@@ -0,0 +1,10 @@
+PRGNAM="hebe"
+VERSION="0.2"
+HOMEPAGE="http://kde-apps.org/content/show.php?content=126738"
+DOWNLOAD="http://www.binro.org/hebe-0.2.tar.bz2"
+MD5SUM="842e2c771026124e97ab64b5472e2ee6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/system/hebe/slack-desc b/system/hebe/slack-desc
new file mode 100644
index 0000000000..74b0880c9f
--- /dev/null
+++ b/system/hebe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hebe: hebe (KDE gui for Hercules)
+hebe:
+hebe: Hebe is a KDE front-end GUI for the Hercules z/Arch emulator. It was
+hebe: designed to have a modern look; there are no dials! Hebe provides two
+hebe: consoles, one for Hercules and one for the SCP (system control
+hebe: program), AKA, the operating system. Input is automatically routed to
+hebe: the correct receiver. You can start as many instances of Hercules as
+hebe: your hardware can support.
+hebe:
+hebe: Homepage: http://kde-apps.org/content/show.php?content=126738
+hebe: